package com.qmth.themis.business.bean.admin;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 机构数据统计
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/8/19
 */
public class OrgDataCountBean implements Serializable {

    @ApiModelProperty(name = "机构名称")
    private String name;

    @ApiModelProperty(name = "机构编码")
    private String code;

    @ApiModelProperty(name = "在线人数")
    private Integer onlineCount = 0;

    @ApiModelProperty(name = "考试人数")
    private Integer examCount = 0;

    public OrgDataCountBean() {

    }

    public OrgDataCountBean(String name, String code, Integer onlineCount, Integer examCount) {
        this.name = name;
        this.code = code;
        this.onlineCount = onlineCount;
        this.examCount = examCount;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }
}
